## gst-plugins-bad1.0 1.18.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.0-2ubuntu1) groovy; urgency=low

  [ Gianfranco Costamagna ]
  * Merge from Debian unstable.  Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

  [ Iain Lane ]
  * debian/rules:
    - Fix file removal
    - Remove jpegformat here too
  * debian/rules: Do the removals earlier, before dh_install, so they actually
    affect the binary packages.
  * debian/rules: Don't install openni on i386. Properly disable opencv and
    wpe.
  * debian/control: Drop some BDs on i386 which aren't available, disabling
    the corresponding plugins:
    - libltc-dev
    - libwpewebkit-1.0-dev
    - libopenni2-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Sep 2020 17:33:23 +0200

gst-plugins-bad1.0 (1.18.0-2) unstable; urgency=medium

  * debian/rules:
    + Add `--with gir` to generate correct dependencies. Thanks to Ken VanDine.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 15:15:27 +0300

gst-plugins-bad1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable (Closes: #927995, #893813).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 11:57:33 +0300

gst-plugins-bad1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 14:30:56 +0300

gst-plugins-bad1.0 (1.17.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Name (from ./configure),
    Repository, Repository-Browse.

  [ Laurent Bigonville ]
  * Only build the opencv plugin on architecture where opencv is available
  * Install the opencv haarcascades files in the opencv plugin package
  * d/p/02_opencv-data-path.patch: Fix paths for the haarcascades files
    (Closes: #956518)
  * debian/control.in: Bump from Priority: extra to optional, the former is
    deprecated

  [ Sebastian Dröge ]
  * New upstream development release.
  * Completely redo and modernize the packaging.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Jul 2020 09:30:58 +0300

gst-plugins-bad1.0 (1.16.2-2.3ubuntu2) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:38:23 +0100

gst-plugins-bad1.0 (1.16.2-2.3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add fix-openexr-check.patch: fix build failure
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 11:05:25 +0200

gst-plugins-bad1.0 (1.16.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust make 4.3 patch to also work with make 4.2 (Closes: 965298 )
  * Apply upstream patch to make "lv2" plugin build with gcc-10 (Closes: 957314 )

 -- Peter Michael Green <plugwash@debian.org>  Thu, 23 Jul 2020 12:47:21 +0000

gst-plugins-bad1.0 (1.16.2-2.2ubuntu2) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add fix-openexr-check.patch: fix build failure
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Jul 2020 20:19:53 +0200

gst-plugins-bad1.0 (1.16.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Gianfranco Costamagna ]
  * Replace libsrt-dev with libsrt-gnutls-dev
  * Fix build with make 4.3 (Closes: #962720)

  [ Sebastian Ramacher ]
  * Apply upstream patch to build with new vulkan

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jul 2020 22:56:22 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu7) groovy; urgency=medium

  * Add patch to fix the build on some plugins-bad imported code
  * debian/patches/0001-vulkan-Drop-use-of-VK_RESULT_BEGIN_RANGE.patch:
    - patch from arch linux to fix build with new mesa

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 20:08:04 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu6) groovy; urgency=medium

  * Update srt-dev with srt-gnutls-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 17:51:49 +0200

gst-plugins-bad1.0 (1.16.2-2.1ubuntu3) groovy; urgency=medium

  * Add fix-openexr-check.patch: fix build failure

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 May 2020 19:42:45 -0400

gst-plugins-bad1.0 (1.16.2-2.1ubuntu2) groovy; urgency=medium

  * No-change rebuild against latest libdvdread

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 May 2020 19:23:08 -0400

=== debian/control ===
Source: gst-plugins-bad1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               pkg-config (>= 0.11.0),
               meson (>= 0.48),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.44),
               libgstreamer1.0-dev (>= 1.18.0),
               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
               libgstreamer-plugins-good1.0-dev (>= 1.18.0),
               gstreamer1.0-plugins-base (>= 1.18.0),
               gstreamer1.0-plugins-good (>= 1.18.0),
               liborc-0.4-dev (>= 1:0.4.24),
               flite-dev,
               ladspa-sdk,
               libaom-dev,
               libass-dev (>= 0.10.4),
               libbs2b-dev (>= 3.1.0),
               libbz2-dev,
               libcairo2-dev,
               libchromaprint-dev,
               libcurl4-gnutls-dev (>= 7.55.0),
               libssh2-1-dev (>= 1.4.3),
               libdca-dev,
               libde265-dev (>= 0.9),
               libdvdnav-dev (>= 4.1.2) [!hurd-any],
               libexempi-dev,
               libexif-dev (>= 0.6.16),
               libfaad-dev (>= 2.7),
               libfluidsynth-dev (>= 1.0),
               libglib2.0-dev (>= 2.40),
               libgme-dev,
               libgnutls28-dev (>= 2.11.3),
               libgsm1-dev,
               libgtk-3-dev (>= 3.15.0),
               libiptcdata0-dev (>= 1.0.2),
               libkate-dev (>= 0.1.7),
               liblcms2-dev (>= 2.7),
               liblilv-dev (>= 0.22),
               libmjpegtools-dev (>= 2.0.0),
               libmms-dev (>= 0.4),
               libmodplug-dev,
               libmpcdec-dev,
               libltc-dev (>= 1.1.4) [!i386],
               libnice-dev (>= 0.1.14),
               libofa0-dev (>= 0.9.3),
               libopenal-dev (>= 1:1.14),
               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64],
               opencv-data [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64],
               libwpebackend-fdo-1.0-dev (>= 1.6.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa mipsel ppc64 ppc64el s390x sparc64 x32],
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.2),
               libopenmpt-dev,
               libopus-dev (>= 0.9.4),
               libopenni2-dev (>= 0.26) [!i386],
               liborc-0.4-dev (>= 1:0.4.17),
               libpango1.0-dev (>= 1.22),
               libpng-dev,
               librsvg2-dev (>= 2.36.2),
               librtmp-dev,
               libsndfile1-dev (>= 1.0.16),
               libsoundtouch-dev (>= 1.5.0),
               libspandsp-dev (>= 0.0.6),
               libsrt-gnutls-dev,
               libsrtp2-dev (>= 2.1),
               libssl-dev (>= 1.0.1),
               libvo-aacenc-dev,
               libvo-amrwbenc-dev,
               libwebp-dev (>= 0.2.1),
               libwebrtc-audio-processing-dev (>= 0.2),
               libwildmidi-dev (>= 0.4.2),
               libx11-dev,
               libx11-xcb-dev,
               libx265-dev,
               libxml2-dev (>= 2.8),
               libxvidcore-dev,
               libzbar-dev (>= 0.9),
               libzvbi-dev,
               nettle-dev (>= 3),
               libasound2-dev (>= 0.9.1) [linux-any],
               libdc1394-22-dev (>= 2.2.5) [linux-any],
               libgudev-1.0-dev (>= 143) [linux-any],
               libusb-1.0-0-dev [linux-any],
               libbluetooth-dev (>= 5) [linux-any],
               libsbc-dev (>= 1.1) [linux-any],
               libwayland-dev (>= 1.11.0) [linux-any],
               libdrm-dev (>= 2.4.98) [linux-any],
               libva-dev (>= 1.6) [linux-any],
               wayland-protocols (>= 1.4) [linux-any],
               libmfx-dev [amd64],
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12-4~),
               gir1.2-freedesktop,
               gir1.2-glib-2.0,
               gir1.2-gst-plugins-base-1.0,
               gir1.2-gstreamer-1.0
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-bad-apps
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         gstreamer1.0-plugins-bad (= ${binary:Version})
Conflicts: pitivi (<< 0.9999)
Description: GStreamer helper programs from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains helper programs from the "bad" set, a set of
 plug-ins that aren't up to par compared to the rest. They might be
 close to being good quality, but they're missing something - be it a
 good code review, some documentation, a set of tests, a real live
 maintainer, or some actual wide use.

Package: gstreamer1.0-plugins-bad
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
Provides: gstreamer1.0-plugins-bad-videoparsers,
          gstreamer1.0-plugins-bad-faad,
          ${gstreamer:Provides}
Suggests: frei0r-plugins
Conflicts: gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
           gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Replaces: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2),
          gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
          gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Breaks: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer1.0-opencv
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         libgstreamer-opencv1.0-0 (= ${binary:Version}),
Conflicts: gstreamer1.0-plugins-bad (<< 1.17.2~)
Replaces: gstreamer1.0-plugins-bad (<< 1.17.2~)
Recommends: opencv-data
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer OpenCV plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the OpenCV plugins.

Package: gstreamer1.0-wpe
Architecture: amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
Description: GStreamer WPEWebKit plugin
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the WPEWebKit plugin.

Package: libgstreamer-plugins-bad1.0-0
Architecture: any
Section: libs
Priority: optional
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: pitivi (<< 0.9999)
Description: GStreamer libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries from the "bad" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-opencv1.0-0
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64
Section: libs
Priority: optional
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Description: GStreamer OpenCV libraries
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Bad Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-bad1.0"
endif

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
NO_I386_ARGS = -Ngstreamer1.0-opencv -Nlibgstreamer-opencv1.0-0 -Ngstreamer1.0-wpe

override_dh_builddeb:
	dh_builddeb $(NO_I386_ARGS)

override_dh_gencontrol:
	dh_gencontrol $(NO_I386_ARGS)
endif

conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0
conf_flags += -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dsctp-internal-usrsctp=enabled

%:
	dh $@ --with gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --default-library shared $(conf_flags)

override_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home
	dh_auto_clean

override_dh_auto_test:
	xvfb-run dh_auto_test || true

override_dh_strip:
	dh_strip --dbgsym-migration='gstreamer1.0-plugins-bad-dbg (<< 1.17.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -plibgstreamer-plugins-bad1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-plugins-bad1.0-0 (>= $(gst_version))' -- -c4
	dh_makeshlibs -plibgstreamer-opencv1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-opencv1.0-0 (>= $(gst_version))' -- -c4

override_dh_install:
	rm -rv $(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/basecamerabinsrc \
		$(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/interfaces/photography* \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstbasecamerabinsrc* \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstphotography* \
		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstjpegformat.so

	dh_install $(NO_I386_ARGS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdvb.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstfbdevsink.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdc1394.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdecklink.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstuvch264.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstbluez.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstsbc.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstwaylandsink.so
	dh_install -plibgstreamer-plugins-bad1.0-0 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstwayland-1.0.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstkms.so
	# Disabled until glslc is available in Debian
	# dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvulkan.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstva.so
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstv4l2codecs.so
ifneq ($(DEB_HOST_ARCH),i386)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenni2.so
endif
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstmsdk.so
endif
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstcdaudio.so
endif

ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstresindvd.so
endif

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-bad1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):debian/libgstreamer-opencv1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
	    dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-plugins-bad1.0 1.18.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:10:36 +0200

gst-plugins-bad1.0 (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/control:
    + Switch from libdc1394-22-dev to libdc1394-dev (Closes: #970841).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Oct 2020 18:17:33 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                libglib2.0-dev (>= 2.44),
                libgstreamer1.0-dev (>= 1.18.0),
                libgstreamer-plugins-base1.0-dev (>= 1.18.0),
-               libgstreamer-plugins-good1.0-dev (>= 1.18.0),
                gstreamer1.0-plugins-base (>= 1.18.0),
                gstreamer1.0-plugins-good (>= 1.18.0),
                liborc-0.4-dev (>= 1:0.4.24),
@@ -48,19 +47,19 @@
                libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
-               libltc-dev (>= 1.1.4) [!i386],
+               libltc-dev (>= 1.1.4),
                libnice-dev (>= 0.1.14),
                libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64],
-               opencv-data [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x powerpc ppc64 riscv64],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64],
                libwpebackend-fdo-1.0-dev (>= 1.6.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
-               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa mipsel ppc64 ppc64el s390x sparc64 x32],
+               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
                libopus-dev (>= 0.9.4),
-               libopenni2-dev (>= 0.26) [!i386],
+               libopenni2-dev (>= 0.26) [linux-any],
                liborc-0.4-dev (>= 1:0.4.17),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
@@ -86,7 +85,7 @@
                libzvbi-dev,
                nettle-dev (>= 3),
                libasound2-dev (>= 0.9.1) [linux-any],
-               libdc1394-22-dev (>= 2.2.5) [linux-any],
+               libdc1394-dev (>= 2.2.5) [linux-any],
                libgudev-1.0-dev (>= 143) [linux-any],
                libusb-1.0-0-dev [linux-any],
                libbluetooth-dev (>= 5) [linux-any],
@@ -266,3 +265,4 @@
  that new data types or processing capabilities can be added simply by
  installing new plug-ins.
  .
+ GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared

=== debian/rules ===
--- 
+++ 
@@ -29,16 +29,6 @@
 GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-bad1.0"
 endif
 
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
-NO_I386_ARGS = -Ngstreamer1.0-opencv -Nlibgstreamer-opencv1.0-0 -Ngstreamer1.0-wpe
-
-override_dh_builddeb:
-	dh_builddeb $(NO_I386_ARGS)
-
-override_dh_gencontrol:
-	dh_gencontrol $(NO_I386_ARGS)
-endif
-
 conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0
 conf_flags += -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
 conf_flags += -Dsctp-internal-usrsctp=enabled
@@ -64,13 +54,7 @@
 	dh_makeshlibs -plibgstreamer-opencv1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-opencv1.0-0 (>= $(gst_version))' -- -c4
 
 override_dh_install:
-	rm -rv $(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/basecamerabinsrc \
-		$(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/interfaces/photography* \
-		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstbasecamerabinsrc* \
-		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstphotography* \
-		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstjpegformat.so
-
-	dh_install $(NO_I386_ARGS)
+	dh_install
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdvb.so
@@ -87,9 +71,7 @@
 	# dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvulkan.so
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstva.so
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstv4l2codecs.so
-ifneq ($(DEB_HOST_ARCH),i386)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenni2.so
-endif
 ifeq ($(DEB_HOST_ARCH),amd64)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstmsdk.so
 endif

## gst-plugins-bad1.0 1.18.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.3-1ubuntu2) hirsute; urgency=medium

  * Rebuild against new split libsrt1.4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 11:33:55 +0100

gst-plugins-bad1.0 (1.18.3-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2021 15:11:06 +0100

gst-plugins-bad1.0 (1.18.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2021 09:51:27 +0200

gst-plugins-bad1.0 (1.18.2-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild for opencv soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Dec 2020 17:09:59 +0100

gst-plugins-bad1.0 (1.18.2-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 23:16:28 +0100

gst-plugins-bad1.0 (1.18.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Oct 2020 17:09:49 +0100

gst-plugins-bad1.0 (1.18.0-2ubuntu6) groovy; urgency=medium

  * Rebuild against new libopenexr25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Oct 2020 09:07:56 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu5) groovy; urgency=medium

  * Rebuild against new libdc1394-25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Sep 2020 08:41:20 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu4) groovy; urgency=medium

  [ Gianfranco Costamagna, Iain Lane ]
  * Don't depend on opencv package on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Sep 2020 14:17:53 +0200

gst-plugins-bad1.0 (1.18.0-2ubuntu3) groovy; urgency=low

  [ Gianfranco Costamagna ]
  * Merge from Debian unstable.  Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

  [ Iain Lane ]
  * debian/rules:
    - Fix file removal
    - Remove jpegformat here too
  * debian/rules: Do the removals earlier, before dh_install, so they actually
    affect the binary packages.
  * debian/rules: Don't install openni on i386. Properly disable opencv and
    wpe.
  * debian/control: Drop some BDs on i386 which aren't available, disabling
    the corresponding plugins:
    - libltc-dev
    - libwpewebkit-1.0-dev
    - libopenni2-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Sep 2020 17:33:23 +0200

## gst-plugins-bad1.0 1.18.4

=== sys/dshowdecwrapper/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED (VERSION 2.8)

PROJECT(dshowsdecwrapper)

SET(GST_INSTALL_BASE "C:\\gstreamer\\1.0\\x86" CACHE PATH "Path to the GStreamer install base")
SET(SDK_INSTALL_BASE "C:\\Program Files\\Microsoft SDKs\\Windows\\v7.0" CACHE PATH "Path to the Windows SDK root")

SET_PROPERTY(
  DIRECTORY
  APPEND PROPERTY COMPILE_DEFINITIONS
  HAVE_CONFIG_H
)

INCLUDE_DIRECTORIES(
  ${GST_INSTALL_BASE}/include
  ${GST_INSTALL_BASE}/include/gstreamer-1.0
  ${GST_INSTALL_BASE}/include/glib-2.0
  ${GST_INSTALL_BASE}/lib/glib-2.0/include
  ${SDK_INSTALL_BASE}/Samples/multimedia/directshow/baseclasses
  ${PROJECT_SOURCE_DIR}/../../win32/common
)

LINK_DIRECTORIES(
  ${GST_INSTALL_BASE}/lib
  ${SDK_INSTALL_BASE}/Samples/multimedia/directshow/baseclasses/Release_MBCS
  ${SDK_INSTALL_BASE}/Samples/multimedia/directshow/baseclasses/Debug_MBCS
)

ADD_LIBRARY(libgstdshowdecwrapper SHARED
  gstdshowaudiodec.cpp
  gstdshowaudiodec.h
  gstdshowvideodec.cpp
  gstdshowvideodec.h
  gstdshowdecwrapper.cpp
  gstdshowdecwrapper.h
  gstdshowfakesrc.cpp
  gstdshowfakesrc.h
  gstdshowutil.cpp
  gstdshowutil.h
)

TARGET_LINK_LIBRARIES(libgstdshowdecwrapper
  gstreamer-1.0
  gstaudio-1.0
  gstvideo-1.0
  gstbase-1.0
  glib-2.0
  gobject-2.0
  debug strmbasd
  optimized strmbase
  rpcrt4
  uuid
  winmm
  dmoguids
  wmcodecdspuuid
  msdmo
)

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.4-3+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * av1parser: Fix potential stack overflow during tile list parsing
    (CVE-2024-0444)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 27 Jan 2024 07:53:09 +0100

gst-plugins-bad1.0 (1.18.4-3+deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * codecparsers: av1: Clip max tile rows and cols values (CVE-2023-44429)
    (Closes: #1056102)
  * mxfdemux: Store GstMXFDemuxEssenceTrack in their own fixed allocation
    (CVE-2023-44446) (Closes: #1056101)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 21 Nov 2023 20:33:07 +0100

gst-plugins-bad1.0 (1.18.4-3+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * h265parser: Fix possible overflow using max_sub_layers_minus1
    (CVE-2023-40476) (Closes: #1053259)
  * mxfdemux: Fix integer overflow causing out of bounds writes when handling
    invalid uncompressed video (CVE-2023-40474) (Closes: #1053261)
  * mxfdemux: Check number of channels for AES3 audio (CVE-2023-40475)
    (Closes: #1053260)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Oct 2023 22:34:42 +0200

gst-plugins-bad1.0 (1.18.4-3+deb11u1) bullseye-security; urgency=medium

  * GST-2023-0003

 -- Moritz Mühlenhoff <moritz@wikimedia.org>  Thu, 29 Jun 2023 17:56:04 +0200

gst-plugins-bad1.0 (1.18.4-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Add more architectures to the opencv BD
  * debian/control: Do not make libgstreamer-plugins-bad1.0-dev depend on
    opencv where it's not available (Closes: #987396)
  * Do not try to install the sctp on non-linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Mon, 26 Apr 2021 17:07:50 +0200

gst-plugins-bad1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/0001-h2645parser-Catch-overflows-in-AVC-HEVC-NAL-unit-length.patch:
    + Catch overflows in AVC/HEVC NAL unit length calculations, which would
      lead to allocating infinite amounts of small memory blocks until OOM and
      could potentially also lead to memory corruptions.

      See https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/2103

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 20:52:28 +0300

gst-plugins-bad1.0 (1.18.4-1) experimental; urgency=medium

  [ Marc Leeman ]
  * New upstream version 1.18.4

  [ Sebastian Dröge ]
  * Upload to experimental.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:32:14 +0300

=== debian/control ===
--- 
+++ 
@@ -51,8 +51,8 @@
                libnice-dev (>= 0.1.14),
                libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64],
-               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                libwpebackend-fdo-1.0-dev (>= 1.6.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
                libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
                libopenexr-dev,
@@ -166,7 +166,7 @@
  real live maintainer, or some actual wide use.
 
 Package: gstreamer1.0-opencv
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -248,7 +248,7 @@
  is not guaranteed to be stable.
 
 Package: libgstreamer-opencv1.0-0
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
 Section: libs
 Priority: optional
 Multi-Arch: same
@@ -263,6 +263,3 @@
  anything from real-time sound processing to playing videos, and just
  about anything else media-related.  Its plugin-based architecture means
  that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared

=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstva.so
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstv4l2codecs.so
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenni2.so
+	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstsctp.so
 ifeq ($(DEB_HOST_ARCH),amd64)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstmsdk.so
 endif

## gst-plugins-bad1.0 1.18.5

=== debian/changelog ===
gst-plugins-bad1.0 (1.18.5-1ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 24 Sep 2021 12:31:47 +0200

gst-plugins-bad1.0 (1.18.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:39:30 +0300

gst-plugins-bad1.0 (1.18.4-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Apr 2021 11:23:20 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libglib2.0-dev (>= 2.44),
                libgstreamer1.0-dev (>= 1.18.0),
                libgstreamer-plugins-base1.0-dev (>= 1.18.0),
+               libgstreamer-plugins-good1.0-dev (>= 1.18.0),
                gstreamer1.0-plugins-base (>= 1.18.0),
                gstreamer1.0-plugins-good (>= 1.18.0),
                liborc-0.4-dev (>= 1:0.4.24),
@@ -47,19 +48,19 @@
                libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
-               libltc-dev (>= 1.1.4),
+               libltc-dev (>= 1.1.4) [!i386],
                libnice-dev (>= 0.1.14),
                libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
-               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                libwpebackend-fdo-1.0-dev (>= 1.6.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
-               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa i386 mipsel ppc64 ppc64el s390x sparc64 x32],
+               libwpewebkit-1.0-dev (>= 2.28.0) [amd64 arm64 armel armhf hppa mipsel ppc64 ppc64el s390x sparc64 x32],
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
                libopus-dev (>= 0.9.4),
-               libopenni2-dev (>= 0.26) [linux-any],
+               libopenni2-dev (>= 0.26) [!i386],
                liborc-0.4-dev (>= 1:0.4.17),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
@@ -262,4 +263,3 @@
  which operate on media data.  Applications using this library can do
  anything from real-time sound processing to playing videos, and just
  about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,16 @@
 GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-bad1.0"
 endif
 
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+NO_I386_ARGS = -Ngstreamer1.0-opencv -Nlibgstreamer-opencv1.0-0 -Ngstreamer1.0-wpe
+
+override_dh_builddeb:
+	dh_builddeb $(NO_I386_ARGS)
+
+override_dh_gencontrol:
+	dh_gencontrol $(NO_I386_ARGS)
+endif
+
 conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0
 conf_flags += -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
 conf_flags += -Dsctp-internal-usrsctp=enabled
@@ -54,7 +64,14 @@
 	dh_makeshlibs -plibgstreamer-opencv1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-opencv1.0-0 (>= $(gst_version))' -- -c4
 
 override_dh_install:
-	dh_install
+	rm -rv $(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/basecamerabinsrc \
+		$(CURDIR)/debian/tmp/usr/include/gstreamer-1.0/gst/interfaces/photography* \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstbasecamerabinsrc* \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstphotography* \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstjpegformat.so \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstcamerabin.so
+
+	dh_install $(NO_I386_ARGS)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstdvb.so
@@ -71,7 +88,9 @@
 	# dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstvulkan.so
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstva.so
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstv4l2codecs.so
+ifneq ($(DEB_HOST_ARCH),i386)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstopenni2.so
+endif
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstsctp.so
 ifeq ($(DEB_HOST_ARCH),amd64)
 	dh_install -pgstreamer1.0-plugins-bad debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstmsdk.so
